Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl.fixedfunc
Interface GLMatrixFunc

All Known Subinterfaces:
  GL2, GL2ES1, GLES1

All Known Implementing Classes:
  DebugGL2, DebugGL2ES1, DebugGLES1, TraceGL2, TraceGL2ES1, TraceGLES1

    public interface GLMatrixFunc

Field Summary
`static int` | `GL_MATRIX_MODE`
`static int` | `GL_MODELVIEW`
`static int` | `GL_MODELVIEW_MATRIX`
`static int` | `GL_PROJECTION`
`static int` | `GL_PROJECTION_MATRIX`
`static int` | `GL_TEXTURE_MATRIX`

Method Summary
`void` | `glFrustumf(float left, float right, float bottom, float top, float zNear, float zFar)`
`void` | `glGetFloatv(int pname, float[] params, int params_offset)`
`void` | `glGetFloatv(int pname, FloatBuffer params)` glGetFloatv
`void` | `glGetIntegerv(int pname, int[] params, int params_offset)`
`void` | `glGetIntegerv(int pname, IntBuffer params)` glGetIntegerv
`void` | `glLoadIdentity()`
`void` | `glLoadMatrixf(float[] m, int m_offset)`
`void` | `glLoadMatrixf(FloatBuffer m)` glLoadMatrixf
`void` | `glMatrixMode(int mode)` sets the current matrix
`void` | `glMultMatrixf(float[] m, int m_offset)`
`void` | `glMultMatrixf(FloatBuffer m)` glMultMatrixf
`void` | `glOrthof(float left, float right, float bottom, float top, float zNear, float zFar)`
`void` | `glPopMatrix()`
`void` | `glPushMatrix()`
`void` | `glRotatef(float angle, float x, float y, float z)`
`void` | `glScalef(float x, float y, float z)`
`void` | `glTranslatef(float x, float y, float z)`

Field Detail

### GL_MATRIX_MODE

    static final int GL_MATRIX_MODE

See Also:
  Constant Field Values

### GL_MODELVIEW

    static final int GL_MODELVIEW

See Also:
  Constant Field Values

### GL_PROJECTION

    static final int GL_PROJECTION

See Also:
  Constant Field Values

### GL_MODELVIEW_MATRIX

    static final int GL_MODELVIEW_MATRIX

See Also:
  Constant Field Values

### GL_PROJECTION_MATRIX

    static final int GL_PROJECTION_MATRIX

See Also:
  Constant Field Values

### GL_TEXTURE_MATRIX

    static final int GL_TEXTURE_MATRIX

See Also:
  Constant Field Values

Method Detail

### glGetFloatv

    void glGetFloatv(int pname,
                     FloatBuffer params)

  glGetFloatv

  Parameters:
    `pname` - GL_MODELVIEW_MATRIX, GL_PROJECTION_MATRIX or GL_TEXTURE_MATRIX
    `params` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

### glGetFloatv

    void glGetFloatv(int pname,
                     float[] params,
                     int params_offset)

### glGetIntegerv

    void glGetIntegerv(int pname,
                       IntBuffer params)

  glGetIntegerv

  Parameters:
    `pname` - GL_MATRIX_MODE
    `params` - the FloatBuffer's position remains unchanged which is the same behavior than the native JOGL GL impl

### glGetIntegerv

    void glGetIntegerv(int pname,
                       int[] params,
                       int params_offset)

### glMatrixMode

    void glMatrixMode(int mode)

  sets the current matrix

  Parameters:
    `pname` - GL_MODELVIEW, GL_PROJECTION or GL.GL_TEXTURE

### glPushMatrix

    void glPushMatrix()

### glPopMatrix

    void glPopMatrix()

### glLoadIdentity

    void glLoadIdentity()

### glLoadMatrixf

    void glLoadMatrixf(FloatBuffer m)

  glLoadMatrixf

  Parameters:
    `params` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

### glLoadMatrixf

    void glLoadMatrixf(float[] m,
                       int m_offset)

### glMultMatrixf

    void glMultMatrixf(FloatBuffer m)

  glMultMatrixf

  Parameters:
    `params` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

### glMultMatrixf

    void glMultMatrixf(float[] m,
                       int m_offset)

### glTranslatef

    void glTranslatef(float x,
                      float y,
                      float z)

### glRotatef

    void glRotatef(float angle,
                   float x,
                   float y,
                   float z)

### glScalef

    void glScalef(float x,
                  float y,
                  float z)

### glOrthof

    void glOrthof(float left,
                  float right,
                  float bottom,
                  float top,
                  float zNear,
                  float zFar)

### glFrustumf

    void glFrustumf(float left,
                    float right,
                    float bottom,
                    float top,
                    float zNear,
                    float zFar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.